"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class VariantsCoordinates(ProtocolElement):
    """
    A list of variant coordinates
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {}

    @classmethod
    def getEmbeddedTypes(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_6_1 import reports as reports_5_0_0

        return {
            "variants": reports_5_0_0.VariantCoordinates,
        }

    @classmethod
    def getEmbeddedEnums(cls):
        return {}

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_6_1 import cva as cva_1_0_0
        from protocols.protocol_6_1 import reports as reports_5_0_0

        return {
            "org.gel.models.report.avro.VariantCoordinates": reports_5_0_0.VariantCoordinates,
            "org.gel.models.cva.avro.VariantsCoordinates": cva_1_0_0.VariantsCoordinates,
        }

    __slots__ = [
        "variants",
    ]

    def __init__(
        self,
        variants=list,
        validate=None,
        **kwargs
    ):
        """Initialise the cva_1_0_0.VariantsCoordinates model.

        :param variants:
        :type variants: list[VariantCoordinates]
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "1.0.0"
